import { z } from 'zod';
import type { ReleaseResult } from '../types';
export declare const ComposerRelease: z.ZodObject<{
    version: z.ZodEffects<z.ZodString, string, string>;
    homepage: z.ZodCatch<z.ZodNullable<z.ZodString>>;
    source: z.ZodCatch<z.ZodNullable<z.ZodEffects<z.ZodObject<{
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
    }, {
        url: string;
    }>, string, {
        url: string;
    }>>>;
    time: z.ZodCatch<z.ZodNullable<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    source: string | null;
    time: string | null;
    version: string;
    homepage: string | null;
}, {
    source?: {
        url: string;
    } | null | undefined;
    time?: string | null | undefined;
    homepage?: string | null | undefined;
    version: string;
}>;
export declare const ComposerReleaseArray: z.ZodEffects<z.ZodArray<z.ZodCatch<z.ZodNullable<z.ZodObject<{
    version: z.ZodEffects<z.ZodString, string, string>;
    homepage: z.ZodCatch<z.ZodNullable<z.ZodString>>;
    source: z.ZodCatch<z.ZodNullable<z.ZodEffects<z.ZodObject<{
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
    }, {
        url: string;
    }>, string, {
        url: string;
    }>>>;
    time: z.ZodCatch<z.ZodNullable<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    source: string | null;
    time: string | null;
    version: string;
    homepage: string | null;
}, {
    source?: {
        url: string;
    } | null | undefined;
    time?: string | null | undefined;
    homepage?: string | null | undefined;
    version: string;
}>>>, "many">, {
    source: string | null;
    time: string | null;
    version: string;
    homepage: string | null;
}[], ({
    source?: {
        url: string;
    } | null | undefined;
    time?: string | null | undefined;
    homepage?: string | null | undefined;
    version: string;
} | null | undefined)[]>;
export type ComposerReleaseArray = z.infer<typeof ComposerReleaseArray>;
export declare const ComposerPackagesResponse: z.ZodObject<{
    packages: z.ZodRecord<z.ZodString, z.ZodUnknown>;
}, "strip", z.ZodTypeAny, {
    packages: Record<string, unknown>;
}, {
    packages: Record<string, unknown>;
}>;
export declare function parsePackagesResponse(packageName: string, packagesResponse: unknown): ComposerReleaseArray;
export declare function parsePackagesResponses(packageName: string, packagesResponses: unknown[]): ReleaseResult | null;
